#
# Millimeter Wave Satellite configuration
#
# A. H. Jackson and P. Christopher. "A LEO Concept for
# Millimeter Wave Satellite Communication",
# Proc. IMSC 1995, Ottawa, pp. 185-192.
#
# $Id: mm.tcl,v 1.3 2004/12/26 14:47:20 lloydwood Exp $

# number of satellites
set IMAX 30

# setup orbital elements
set a 8059.0
set e 0.1651396
set inc 63.435
set omega -45.0
set Omega 0.0
set T_per 0.0
set delta_T_per [expr -144.0/180.0*$PI/sqrt($MU/$a/$a/$a)]

# Uncertain of minimum elevation angle; set to zero.
set coverage_angle 0.0

satellites GV_BEGIN
for {set i 0} {$i < $IMAX} {incr i} {
		satellites LOAD $a $e $inc $Omega $omega $T_per
		set Omega [expr $Omega + 12]
		set T_per [expr $T_per + $delta_T_per]
}
satellites GV_END

